> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# スケジュールを一覧表示

> チームのすべてのスケジュールを取得します。スケジュールの設定、ステータス、メタデータを含むリストを返します。



## OpenAPI

````yaml ja/openapi/schedules.json GET /v1/schedules
openapi: 3.0.3
info:
  title: スケジュールAPI
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/schedules:
    get:
      summary: スケジュール一覧
      description: >-
        チームのすべてのスケジュールを取得します。スケジュールの設定、ステータス、メタデータを含むリストを返します。デフォルトでは、削除されたスケジュールは除外されます。
      parameters:
        - name: include_deleted
          in: query
          required: false
          description: 削除されたスケジュールをレスポンスに含めるには'true'に設定します。デフォルトでは、削除されたスケジュールは除外されます。
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
      responses:
        '200':
          description: スケジュールのリストを含む成功したレスポンス。
          content:
            application/json:
              schema:
                type: object
                properties:
                  schedules:
                    type: array
                    items:
                      type: object
                      properties:
                        team_id:
                          type: string
                          description: チーム識別子
                        schedule_id:
                          type: string
                          description: ユニークなスケジュール識別子
                        type:
                          type: string
                          enum:
                            - recurring
                            - onetime
                          description: スケジュールの種類
                        endpoint:
                          type: string
                          description: エンドポイントURL
                        payload:
                          type: object
                          description: APIコールと共に送信するペイロード
                        cron_expression:
                          type: string
                          description: Cron式（定期的なスケジュールの場合のみ存在）
                        execute_at:
                          type: string
                          format: date-time
                          description: 実行日時（一度きりのスケジュールの場合のみ存在）
                        expression_timezone:
                          type: string
                          description: スケジュールのタイムゾーン
                        text:
                          type: string
                          description: cron式を生成するために使用される自然言語テキスト
                        schedule_name:
                          type: string
                          description: EventBridge内の内部スケジュール名
                        schedule_group:
                          type: string
                          description: スケジュールグループ名
                        created_at:
                          type: string
                          format: date-time
                          description: スケジュールが作成されたISO 8601日時
                        updated_at:
                          type: string
                          format: date-time
                          description: スケジュールが最後に更新されたISO 8601日時
                        state:
                          type: string
                          enum:
                            - ENABLED
                            - DELETED
                          description: スケジュールの現在の状態
                        method:
                          type: string
                          enum:
                            - GET
                            - POST
                          description: スケジュールされたコールのHTTPメソッド
                    description: スケジュールオブジェクトの配列
                  count:
                    type: integer
                    description: スケジュールの総数
        '401':
          description: 無効なAPIキー。
        '500':
          description: スケジュール取得中に内部サーバーエラーが発生しました。
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer <token>形式のBearer認証ヘッダー。<token>はあなたの認証トークンです。

````